@use '../../../global/styles/utilities' as *;
@use '../../../global/styles/styles-variables' as *;
@use './styles/form-filter.variables' as *;

:host {
	@include digi-form-filter--variables;
	$base: '.digi-form-filter';

	.digi-form-filter {
		--INDICATOR--BACKGROUND: var(--digi--form-filter--toggle-button-indicator--color--default);
    --SCROLL--MAX-HEIGHT: var(--digi--form-filter--scroll--max-height);

		position: relative;

		&--open {
			#{$base}__toggle-icon {
				transform: rotate(-180deg);
			}
		}

		&__toggle-icon {
			::slotted([slot^='icon']) {
				--digi--icon--width: var(--digi--form-filter--toggle-icon--width);
				--digi--icon--height: var(--digi--form-filter--toggle-icon--height);
			}
			transition: var(--digi--form-filter--toggle-icon--transition);
		}

		&__legend {
			font-weight: var(--digi--form-filter--legend--font-weight);
			font-family: var(--digi--form-filter--legend--font-family);
			font-size: var(--digi--form-filter--legend--font-size);
		}

		&__scroll {
			max-height: var(--SCROLL--MAX-HEIGHT);
			overflow-y: auto;
			padding: var(--digi--form-filter--scroll--padding);

			@media (min-width: $digi--breakpoint--medium) {
				--SCROLL--MAX-HEIGHT: var(--digi--form-filter--scroll--max-height--large);
			}

			fieldset {
				border: none;
			}

			legend {
				width: 100%;
				border-bottom: var(--digi--form-filter--legend__border-bottom);
			}
		}

		&__footer {
			display: flex;
			align-items: center;
			justify-content: center;
			background: var(--digi--form-filter--footer--background);
			padding: var(--digi--form-filter--scroll--padding);
		}

		&__reset-button {
			display: inline-block;
			margin-left: var(--digi--form-filter--reset-button--margin-left);
		}

		&__dropdown {
			min-width: var(--digi--form-filter--dropdown--min-width);
			position: absolute;
			z-index: var(--digi--form-filter--dropdown--z-index);
			background: var(--digi--form-filter--dropdown--background);
			border-radius: var(--digi--form-filter--dropdown--border-radius);
			box-shadow: var(--digi--form-filter--dropdown--box-shadow);
			overflow: hidden;
			margin-top: var(--digi--form-filter--dropdown--margin-top);

			&--right {
				@media (min-width: $digi--breakpoint--medium) {
					right: 0;
				}
			}

      &--hidden {
        display: none;
      }
		}

		&__toggle-button-indicator {
			&:before {
				content: '';
				width: var(--digi--form-filter--toggle-button-indicator--width);
				height: var(--digi--form-filter--toggle-button-indicator--height);
				background: var(--INDICATOR--BACKGROUND);
				display: inline-block;
				margin-right: var(--digi--form-filter--toggle-button-indicator--margin-right);
				border-radius: 50% 50%;
				overflow: hidden;
				margin-left: var(--digi--form-filter--toggle-button-indicator--margin-left);
			}

			&--active {
				--INDICATOR--BACKGROUND: var(--digi--form-filter--toggle-button-indicator--color--active);
			}
		}

		&__list {
			margin: var(--digi--form-filter--list--margin);
			padding: var(--digi--form-filter--list--padding);
		}

		&__item {
			margin: var(--digi--form-filter--item--margin);
			display: block;
		}

		&__toggle-button-text {
			margin-right: var(--digi--form-filter--toggle-button--text--margin-right);
		}
	}
}
